/**
 * This software is contributed or developed by KYOCERA Corporation.
 * (C) 2019 KYOCERA Corporation
 */
package org.chromium.content.browser;

import org.chromium.base.AfpConfigUtil;

/**
 * Platform-provided UI constants.
 */
public class UiConstantsInternal extends UiConstants {

    protected UiConstantsInternal() {}

    @Override
    protected boolean hasCustomMinimumStrokeWidthForFocusRingInternal() {
        if( AfpConfigUtil.getInstance().getConfigBooleanValue(AfpConfigUtil.KEY_CUSTOM_MIMIMUM_FOCUSRING) ) {
            return true;
        }

        return false;
    }

    @Override
    protected float getMinimumStrokeWidthForFocusRingInternal() {
        return (float)AfpConfigUtil.getInstance().getConfigIntValue(AfpConfigUtil.KEY_CUSTOM_MIMIMUM_FOCUSRING_VALUE);
    }
}
